Modules
POST
/app-api/v1/auth/signupSign up with phone (sends OTP)
Parameters
| Name | In | Required | Description |
|---|---|---|---|
| x-request-id | header | No | Optional correlation id. Generated when omitted. |
Request Body
SignupDtoobject
namestring
phonestring
emailstring
passwordstring
referralCodestring
interfacenumber
Required: name, phone, password, interface
Related Schemas
SignupDto
namestring
phonestring
emailstring
passwordstring
referralCodestring
interfacenumber
Required: name, phone, password, interface
Code samples
Generated from the current environment and the request configured in the Try-it panel.
curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/auth/signup' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'apptype: android' \
-H 'appver: 1.0.0' \
-H 'webver: 1.0.0' \
-H 'portalver: 1.0.0' \
-H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
-d '{
"name": "Rahul Kumar",
"phone": "9808757580",
"password": "Student@123",
"interface": 0
}' \